package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanRepairExternalUser
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年09月13日 14:47:15
 * @Modify
 * @CopyRight 
 */
public class TabHaobanRepairExternalUser implements Serializable {

    private static final long serialVersionUID = 533965353379300L;

    private Long id;
    private String wxEnterpriseId;
    /**当前外部联系人ID*/
    private String userId;
    /**需要替换联系人ID*/
    private String newUserId;
    /**11(union表不存在)*/
    private Integer statusFlag;
    /**需要替换的,需要删除的*/
    private String remark;
    private String selfUserId ;
    private Date updateTime ;

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getSelfUserId() {
        return selfUserId;
    }

    public void setSelfUserId(String selfUserId) {
        this.selfUserId = selfUserId;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserId() {
        return userId;
    }

    public void setNewUserId(String newUserId) {
        this.newUserId = newUserId;
    }

    public String getNewUserId() {
        return newUserId;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }
}